Bug Hunting Session
Bug 88253 - EDITING: Report Builder : LO stops responding whilst editing report controls (CentOS)
Summary: EDITING: Report Builder : LO stops responding whilst editing report controls ...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-09 20:22 UTC by James B. Byrne
Modified: 2016-05-09 20:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Trying to close libreoffice during non-responsive session (646.32 KB, image/png)
2015-01-09 20:22 UTC, James B. Byrne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James B. Byrne 2015-01-09 20:22:19 UTC
Created attachment 112027 [details]
Trying to close libreoffice during non-responsive session

When editing in the report builder after some number of changes occasionally the entire LO application becomes non-responsive requiring a force quit, restart, and recovery.  Most recently this occurred when attempting to set the width of two controls that were <ctrl><shift><left-cleck> selected.  Instead of increasing their size an error message box popped up, or at least began to display, and then it and the entire application ceased leaving the open windows on the desktop but non-responsive.
Comment 1 Buovjaga 2015-01-13 17:35:33 UTC
You could try reproducing a crash while debugging and attach the debug logs:
https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#GNU.2FLinux
Comment 2 Alex Thurgood 2015-01-14 15:10:29 UTC
@James : which version of LO - distro provided or the DEBS from the official TDF download page ?


If the problem is with your distro supplied version, then you should open a report against that version of LO in their bug tracker.

Setting to NEEDINFO
Comment 3 Alex Thurgood 2015-01-14 15:13:11 UTC
I have had the same screenshot as you on Ubuntu with a much older version of the Ubuntu-provided LO packages and whilst using Base, but not in my own builds.
Comment 4 James B. Byrne 2015-01-14 15:27:31 UTC
This occurs with LO-4.3.5.2 downloaded from the LibreOffice.org site.  CentOS-6.6 is still shipping LO-4.0.4.

I only have these problems in Base.  On Windows7 et al., Linux and OSX I have no problems with LO performance or crashing in Calc, Writer or Draw, and I use all of these extensively.  LO on OSX has a long outstanding problem with duplex printing but it does not crash.

However, the Base component is extremely unstable in my experience.  And I have experienced the same or very similar problems in Base for as long as I can remember, both in OOo and LOo.  This project in fact was a reboot of an earlier essay into Base that I dropped some time ago because of the stability problems.  To be of use to me I need the form and report modules to work reliably, both in design and run mode.  

In case it is significant this is the JRE in use on the CentOS-6.6 host:

java -version
java version "1.7.0_71"
OpenJDK Runtime Environment (rhel-2.5.3.2.el6_6-x86_64 u71-b14)
OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode)
Comment 5 James B. Byrne 2015-01-14 15:53:19 UTC
> @James : CentOS was known to have problems running LO, especially
> if the distro-provided package pyuno was installed. Perhaps check
> that there is no conflict on your system with regard to pyuno ? 

yum provides \*pyuno\*
Loaded plugins: downloadonly, etckeeper, fastestmirror, presto, priorities,
              : refresh-packagekit
Loading mirror speeds from cached hostfile
 * Webmin: download.webmin.com
 * atomic: www6.atomicorp.com
 * base: mirror.csclub.uwaterloo.ca
 * epel: mirror.csclub.uwaterloo.ca
 * extras: less.cogeco.net
 * updates: less.cogeco.net
182 packages excluded due to repository priority protections
1:libreoffice-pyuno-4.0.4.2-14.el6.x86_64 : Python support for LibreOffice
Repo        : base
Matched from:
Other       : openoffice.org-pyuno = 1:3.3.0
Other       : libreoffice-pyuno(x86-64) = 1:4.0.4.2-14.el6
Filename    : /usr/lib64/libreoffice/program/pyuno.so
Other       : pyuno.so()(64bit)
Filename    : /usr/lib64/libreoffice/share/registry/pyuno.xcd
Filename    : /usr/lib64/libreoffice/program/libpyuno.so
Other       : openoffice.org-pyuno(x86-64) = 1:3.3.0
Other       : libpyuno.so()(64bit)
Other       : libreoffice-pyuno = 1:4.0.4.2-14.el6



libobasis4.2-pyuno-4.2.1.1-1.x86_64 : Pyuno module for LibreOffice 4.2 .1.1
Repo        : installed
Matched from:
Filename    : /opt/libreoffice4.2/program/libpyuno.so
Filename    : /opt/libreoffice4.2/share/registry/pyuno.xcd
Filename    : /opt/libreoffice4.2/program/pyuno.so
Filename    : /opt/libreoffice4.2/program/services/pyuno.rdb



libobasis4.3-pyuno-4.3.5.2-2.x86_64 : Pyuno module for LibreOffice 4.3 .5.2
Repo        : installed
Matched from:
Filename    : /opt/libreoffice4.3/program/libpyuno.so
Filename    : /opt/libreoffice4.3/program/pyuno.so
Filename    : /opt/libreoffice4.3/program/services/pyuno.rdb
Filename    : /opt/libreoffice4.3/share/registry/pyuno.xcd



openoffice-pyuno-4.1.1-9775.x86_64 : Pyuno module for Apache OpenOffice 4.1.1
Repo        : installed
Matched from:
Filename    : /opt/openoffice4/share/registry/pyuno.xcd
Filename    : /opt/openoffice4/program/pyuno.so
Filename    : /opt/openoffice4/program/libpyuno.so

I do not know what pyuno is however this is what is installed on the host in question that contains that string.
Comment 6 Alex Thurgood 2015-03-24 08:40:21 UTC
@James : is this still a problem for you with the very latest production version of LibreOffice ?
Comment 7 James B. Byrne 2015-03-24 12:53:00 UTC
I will check later today or tomorrow.  I have had to abandon that project due to the difficulties I had using LOBAse and so whatever I do will be a contrived test case.  But I will get to it in the very near future and report.
Comment 8 Buovjaga 2015-05-21 14:38:59 UTC
Reverting OS change, this was reported against CentOS.
Comment 9 QA Administrators 2015-12-27 20:31:58 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 10 QA Administrators 2016-05-09 20:09:07 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09